'----------------------------------------------------------------------------------------
'    Name:  Modbus_Defs.inc
'    Type:  TIGER-BASIC(tm) Source Code
' Purpose:  Definitions for Modbus
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tigers in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (english)
'	email: support@wilke.de              (german)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (english)
'	www.wilke.de                         (german)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'
'--------------------------------------------------------------------------------------

#ifndef Modbus_Protocol_d
#define Modbus_Protocol_d

'' DO NOT EDIT THE FOLLOWING DEFINES!

'' Erorr codes
#define NO_ERROR                 0h
#define NO_SUCH_FUNC_ERROR       01h      '' function not supported by target device
#define ADDRESS_ERROR            02h      '' address not reachable at target device
#define QUANTITY_ERROR 	         03h      '' too much data requested
#define DATA_VALUE_ERROR         03h      '' data value wrong
#define READ_ERROR               04h      '' error while reading data
#define WRITE_ERROR              04h      '' error while writing data
#define WRONG_ANSWER_ERROR       012h     '' wrong answer received
#define CORRUPTED_PACKET_ERROR   013h     '' corrupt response received
#define TIMEOUT_ERROR            015h     '' connection timed out / no answer received in the specified timeout
#define CRC_ERROR                016h     '' CRC value wrong => transfer error


'' broadcast address:
#define MB_BROADCAST_MSG 0h


'' Definition of byte possitons in the MODBUS messages
#define MB_DEVC_POS_TRANS 0   '' devicecode
#define MB_FUNC_POS_TRANS 1   '' functioncode
#define MB_QATY_POS_TRANS 2   '' quantity
#define	MB_DATA_POS_TRANS 2   '' data
#define MB_STAT_POS_TRANS 2   '' status
#define MB_ADDR_POS_TRANS 2   '' address
#define MB_DVID_POS_TRANS 3   '' device-id
#define MB_EVCT_POS_TRANS 4   '' eventcounter
#define MB_COLV_POS_TRANS 4   '' conformity level
#define MB_RQTY_POS_TRANS 4   '' read-quantity
#define MB_AMSK_POS_TRANS 4   '' and-mask
#define MB_OBID_POS_TRANS 4   '' object-id
#define MB_MFLW_POS_TRANS 5   '' more follows
#define MB_MSGC_POS_TRANS 6   '' message count
#define MB_VALS_POS_TRANS 6   '' values
#define MB_OMSK_POS_TRANS 6   '' or-mask
#define MB_NOBJ_POS_TRANS 6   '' next object
#define MB_ROID_POS_TRANS 7   '' requested object id
#define MB_OBJC_POS_TRANS 7   '' object count
#define MB_ROLE_POS_TRANS 8   '' requested object length
#define MB_EVTS_POS_TRANS 9   '' events


'' true/false defines
#define MB_TRUE		0FFh
#define MB_FALSE	000h


'' size defines
#define SZE_OF_VAR_BYTE        01h
#define SZE_OF_VAR_WORD        02h
#define OUT_GOING_STR_MAX_SZE  0FFh
#define USER_DATA_MAX_STR_SZE  0FAh
#define MAX_IDENT_OBJ_DATA_SZE 0F5h

'' MB functioncodes:
#define MBFC_READ_COILS              01h
#define MBFC_READ_DIS_INPUTS         02h
#define MBFC_READ_HOLD_REG           03h
#define MBFC_READ_INPUT_REG          04h
#define MBFC_WRITE_SINGLE_COIL       05h
#define MBFC_WRITE_SINGLE_REG        06h
#define MBFC_READ_EXCEPTION_REG      07h
#define MBFC_GET_COM_EVENT_COUNTER   0Bh
#define MBFC_GET_COM_EVENT_LOG       0Ch
#define MBFC_WRITE_MULT_COILS        0Fh
#define MBFC_WRITE_MULT_REG          010h
#define MBFC_REPORT_SLAVE_ID         011h
#define MBFC_MASK_WRITE_REGISTER     016h
#define MBFC_READ_WRITE_MULT_REGS    017h
#define MBFC_READ_DEV_IDENTIFICATION 02Bh
#define MBFC_READ_DEV_MEI_TYPE       0Eh


'' event defines:
#define MB_RECEIVE_EVENT      01h
#define MB_SEND_EVENT         02h
#define MB_ENTER_LISTEN_ONLY  03h
#define MB_RESTART_COMM       04h

'' additional defines:
#define MBFC_BASIC_FULL_ACC    081h
#define MBFC_REGULAR_FULL_ACC  082h
#define MBFC_EXTENDED_ACC 03h


#endif ''Modbus_Protocol_d

