'----------------------------------------------------------------------------------------
'    Name:  Modbus_Conf.inc
'    Type:  TIGER-BASIC(tm) Source Code
' Purpose:  Configuration for Modbus
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tigers in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (english)
'	email: support@wilke.de              (german)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (english)
'	www.wilke.de                         (german)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'
'--------------------------------------------------------------------------------------
' Supported Mobbus-Slave-Functions:
' 0x01 - Read Coils                         ' SReadCoils
' 0x02 - Read Discrete Inputs               ' SReadDisInputs
' 0x03 - Read Hold Reg                      ' SReadHoldReg
' 0x04 - Read Input Reg                     ' SReadInputReg
' 0x05 - Write Single Coil                  ' SWriteSingleCoil
' 0x06 - Write Single Reg                   ' SWriteSingleReg
' 0x07 - Read Exception Reg                 ' SReadExceptionReg
' 0x0B - Get Com Event Counter              ' SGetComEventCounter
' 0x0C - Get Com Event Log                  ' SGetCommEventLog
' 0x0F - Write Multiple Coils               ' SWriteMultipleCoils
' 0x10 - Write Multiple Reg                 ' SWriteMultipleReg
' 0x11 - Report Slave Id                    ' SReportSlaveId
' 0x16 - Mask Write Register                ' SMaskWriteReg
' 0x17 - Read Write Multiple Regs           ' SReadWriteMultipleRegs
' 0x2B+0x0E - Read Device Identification    ' SReadDeviceIdentification
'--------------------------------------------------------------------------------------
' Supported Mobbus-Master-Functions:        ' Function names:
' 0x01 - Read Coils                         ' ReadCoils
' 0x02 - Read Discrete Inputs               ' ReadDisInputs
' 0x03 - Read Hold Reg                      ' ReadHoldReg
' 0x04 - Read Input Reg                     ' ReadInputReg
' 0x05 - Write Single Coil                  ' WriteSingleCoil
' 0x06 - Write Single Reg                   ' WriteSingleReg
' 0x07 - Read Exception Reg                 ' ReadExceptionReg
' 0x0B - Get Com Event Counter              ' GetComEventCounter
' 0x0C - Get Com Event Log                  ' GetCommEventLog
' 0x0F - Write Multiple Coils               ' WriteMultipleCoils
' 0x10 - Write Multiple Reg                 ' WriteMultipleReg
' 0x11 - Report Slave Id                    ' ReportSlaveId
' 0x16 - Mask Write Register                ' MaskWriteReg
' 0x17 - Read Write Multiple Regs           ' ReadWriteMultipleRegs
' 0x2B+0x0E - Read Device Identification    ' ReadDeviceIdentification
'--------------------------------------------------------------------------------------



#ifndef Modbus_Conf_d
#define Modbus_Conf_d

'' communication settings:
#define SEC_RS485         0            '' secondary address of the ser driver for RS485
#define SEC_SER           1            '' secondary address of the ser driver for common serial port
#define BAUD_SEC_0        BD_19_200    '' baudrate for secondary address 0
#define BAUD_SEC_1        BD_19_200    '' baudrate for secondary address 1
#define PARITY_SEC_0      DP_8E        '' parity settings for secondary address 0
#define PARITY_SEC_1      DP_8E        '' parity settings for secondary address 1
#define REC_FLAG_SEC_0    JA           '' rec.flag setting for secondary address 0
#define REC_FLAG_SEC_1    JA           '' rec.flag setting for secondary address 1
#define TR_EN_MASK_SEC_0  00100000b    '' transmit enable pin bit mask for secondary address 0
#define TR_EN_MASK_SEC_1  00000001b    '' transmit enable pin bit mask for secondary address 1
#define LOG_PORT_SEC_0    9            '' logical port address for secondary address 0
#define LOG_PORT_SEC_1    8            '' logical port address for secondary address 1
#define TR_HILO_SEC_0     0            '' transmit enable pin default value (0: high; 1: low) for secondary address 0
#define TR_HILO_SEC_1     0            '' transmit enable pin default value (0: high; 1: low) for secondary address 1


'' settings for a modbus master:
#define MB_RECEIVE_TIMEOUT 3000    '' define the receive timeout

'' settings for a modbus slave:
#define DEVICE_ID                     "Test-Device NR 2"
#define ADDITIONAL_DEVICE_INFORMATION "this is a Tiger Modbus Device!"
#define MY_DEVICE_ID                  02h


#endif

